#include <iostream>

using namespace std;

int main()
{
    int n;

    cin>>n;
    int a[n],b[n];
    int maximalni=0;
    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<n;i++)
        cin>>b[i];



    for (int L = 0; L < n; L++)
    {
        int xor1 = a[L];
        int and1 = b[L];

        for (int R = L+1; R < n+1; R++)
        {
            int rez = xor1 * and1;
            if (rez > maximalni) maximalni = rez;
            if (R<n)
            {
                and1 &= b[R];
                xor1 ^= a[R];
            }


        }

    }

    cout<<(maximalni)<< endl;

    return 0;
}